Skip to main content
POST
Execute a developer test for a custom tool

Authorizations

Authorization
string
header
required

Server-side tenant-scoped credential created from Build > API Keys.

Path Parameters

toolId
string
required

Body

application/json
input
object
confirmExternalEffects
boolean

Set true only after explicit user confirmation for this real write-capable HTTP test. Read-only tests do not require confirmation.

configurationVersion
string

Exact current configurationVersion from the tool configuration; required for write-capable tests.

Response

Tool test result. An invocation failure is represented by ok: false in this response.

ok
boolean
required
durationMs
integer
required
output
object
error
object